# $Revision: 1.72 $, $Date: 2006/12/07 19:02:31 $
#
# Conditional build
%bcond_with	bytecode	# use bytecode hinting instead of autohinting by default
%bcond_without	static_libs	# don't build static library
#
Summary:	Font configuration and customization tools
Summary(pl):	Narzdzia do konfigurowania fontw
Summary(pt_BR):	Ferramentas para configurao e customizao do acesso a fontes
Name:		fontconfig
Version:	2.4.2
Release:	1
Epoch:		1
License:	MIT
Group:		Libraries
Source0:	http://fontconfig.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	f035852f521b54677f2b5c9e2f6d54a4
Patch0:		%{name}-blacklist.patch
Patch1:		%{name}-autohint.patch
URL:		http://fontconfig.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-utils >= 0.6.13-3
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	ed
BuildRequires:	expat-devel
BuildRequires:	freetype-devel >= 2.1.5
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	freetype >= 2.1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fontconfig is designed to locate fonts within the system and select
them according to requirements specified by applications.

This package contains tools and documentation.

%description -l pl
Fontconfig jest bibliotek przeznaczon do lokalizowania fontw w
systemie i wybierania ich w zalenoci od potrzeb aplikacji.

Paket ten zawiera programy narzdziowe i dokumentacj.

%description -l pt_BR
Fontconfig  uma biblioteca para configurao e customizao do acesso
a fontes.

Este pacote contm as ferramentas e documentao.

%package libs
Summary:	Font configuration and customization library
Summary(pl):	Biblioteka do konfigurowania fontw
Summary(pt_BR):	Biblioteca para configurao e customizao do acesso a fontes
Group:		Development/Libraries
Requires:	freetype >= 2.1.5
Provides:	XFree86-fontconfig
Conflicts:	fontconfig <= 1:2.2.98-1
Obsoletes:	XFree86-fontconfig

%description libs
Fontconfig is designed to locate fonts within the system and select
them according to requirements specified by applications.

%description libs -l pl
Fontconfig jest bibliotek przeznaczon do lokalizowania fontw w
systemie i wybierania ich w zalenoci od potrzeb aplikacji.

%description libs -l pt_BR
Fontconfig  uma biblioteca para configurao e customizao do acesso
a fontes.

%package devel
Summary:	Font configuration and customization library - development files
Summary(pl):	Biblioteka do konfigurowania fontw - pliki dla programistw
Summary(pt_BR):	Biblioteca para configurao e customizao do acesso a fontes - arquivos de desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	expat-devel
Requires:	freetype-devel >= 2.1.5
Provides:	XFree86-fontconfig-devel
Obsoletes:	XFree86-fontconfig-devel

%description devel
Fontconfig is designed to locate fonts within the system and select
them according to requirements specified by applications.

This package contains the header files needed to develop programs that
use these fontconfig.

%description devel -l pl
Fontconfig jest bibliotek przeznaczon do lokalizowania fontw w
systemie i wybierania ich w zalenoci od potrzeb aplikacji.

Ten pakiet zawiera pliki nagwkowe potrzebne do kompilowania
programw korzystajcych z biblioteki fontconfig.

%description devel -l pt_BR
Fontconfig  uma biblioteca para configurao e customizao do acesso
a fontes.

Este pacote contm arquivos de desenvolvimento necessrios  criao
de extenses baseadas na biblioteca fontconfig.

%package static
Summary:	Static font configuration and customization library
Summary(pl):	Statyczna biblioteka do konfigurowania fontw
Summary(pt_BR):	Biblioteca esttica para configurao e customizao do acesso a fontes
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	XFree86-fontconfig-static
Obsoletes:	XFree86-fontconfig-static

%description static
This package contains static version of fontconfig library.

%description static -l pl
Ten pakiet zawiera statyczn wersj biblioteki fontconfig.

%description static -l pt_BR
Este pacote contm a biblioteca esttica do fontconfig

%prep
%setup -q
%patch0 -p1
%if %{with bytecode}
%patch1 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-docs \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man{1,3,5},/var/cache/fontconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/*.3 $RPM_BUILD_ROOT%{_mandir}/man3
install doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5

cp -f conf.d/README README.confd

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
HOME=/tmp %{_bindir}/fc-cache -f 2>/dev/null || :

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README README.confd
%attr(755,root,root) %{_bindir}/fc-*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
/var/cache/fontconfig

%files libs
%defattr(644,root,root,755)
%dir %{_sysconfdir}/fonts
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fonts/fonts.conf
%{_sysconfdir}/fonts/fonts.dtd
%dir %{_sysconfdir}/fonts/conf.avail
%{_sysconfdir}/fonts/conf.avail/*.conf
%{_sysconfdir}/fonts/conf.avail/README
%dir %{_sysconfdir}/fonts/conf.d
%config(noreplace) %verify(not link md5 mtime size) %{_sysconfdir}/fonts/conf.d/*.conf
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/fontconfig-devel/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/fontconfig
%{_pkgconfigdir}/fontconfig.pc
%{_mandir}/man3/*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fontconfig.spec,v $
Revision 1.72  2006/12/07 19:02:31  qboosh
- updated to 2.4.2

Revision 1.71  2006/11/21 15:18:48  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.70  2006/09/18 17:16:27  qboosh
- updated to 2.4.1

Revision 1.69  2006/09/11 21:12:05  qboosh
- updated to 2.4.0, removed obsolete cmap-parsing patch

Revision 1.68  2006/05/30 15:58:36  charles
- added -cmap-parsing.patch from FC (speed up cache generation)
- added static_libs bcond, rel. 2

Revision 1.67  2006/05/18 22:36:06  glen
- ignore error from fc-cache in %post

Revision 1.66  2006/04/28 16:20:37  freetz
- 2.3.95

Revision 1.65  2006/04/03 17:43:51  qboosh
- removed duplicated part

Revision 1.64  2006/04/03 17:19:11  arekm
- merge parts from DEVEL

Revision 1.63  2006/04/03 17:13:37  arekm
- up to devel 2.3.94

Revision 1.62  2005/04/29 18:55:45  qboosh
- updated to 2.3.2

Revision 1.61  2005/03/24 23:57:53  arekm
- autohinting is now set via fonts/conf.d/ configs

Revision 1.60  2005/03/16 12:12:29  saq
- fixed pt_BR stuff

Revision 1.59  2005/03/10 22:35:43  qboosh
- updated to 2.3.1

Revision 1.58  2005/03/02 20:34:05  qboosh
- updated to 2.3.0

Revision 1.57  2005/02/14 22:58:17  qboosh
- argh, set umask 022 before fc-cache; don't use /root as HOME

Revision 1.56  2005/01/30 16:21:59  djurban
- updated to 2.2.99 ?

Revision 1.55  2005/01/24 21:59:49  wrobell
- typo

Revision 1.54  2005/01/24 21:29:33  ankry
- tabs

Revision 1.53  2005/01/24 20:14:57  qboosh
- moved ldconfig to -libs

Revision 1.52  2005/01/24 20:14:21  qboosh
- typo; unified: -libs before -devel

Revision 1.51  2005/01/24 13:11:20  ankry
- separated binary and libs, rel. 2

Revision 1.50  2005/01/22 20:33:11  qboosh
- updated to 2.2.98, updated Source0 URL
- updated blacklist patch, removed obsolete date patch

Revision 1.49  2004/12/02 17:31:52  qboosh
- updated Source0 URL

Revision 1.48  2004/10/14 10:13:36  qboosh
- reverted last commit, build fails without dtd41 installed

Revision 1.47  2004/07/17 23:44:34  qboosh
- docbook-* not needed as --disable-docs is passed

Revision 1.46  2004/07/02 06:54:09  qboosh
- updated to 2.2.96
- freetype BR back to 2.1.5 (2.1.8 was required only by my old patch)

Revision 1.45  2004/06/01 19:58:09  grzegol
- updated to 2.2.95
- removed outdated freetype patch

Revision 1.44  2004/04/25 09:42:02  qboosh
- updated to 2.2.94, added patch for freetype 2.1.8+

Revision 1.43  2004/04/20 20:49:36  qboosh
- clearer bcond description, release 2

Revision 1.42  2004/04/20 18:07:37  djurban
- autohinting by default enabled/disbaled?

Revision 1.41  2004/04/18 10:59:44  qboosh
- updated to 2.2.93
- removed obsolete freetype-includes and evil+obsolete defaultconfig patch
- dropped -realpkg stuff, there is no alternative fontconfig packages now

Revision 1.40  2004/03/29 20:57:25  qrczak
- Force autohinting for Luxi and Quasi*TTF fonts. They have poor hinting
  instructions. Are there other fonts worth adding here?
- Merge three rules for Vera fonts into equivalent one rule.
- Release 4.

Revision 1.39.2.9  2006/02/25 16:40:45  wolf
- add /var/cache/fontconfig

Revision 1.39.2.8  2006/02/25 14:27:04  freetz
- 2.3.94, lunak_fccfg.c.patch aplied upstream

Revision 1.39.2.7  2006/01/03 03:07:07  charles
- BR: pkgconfig

Revision 1.39.2.6  2006/01/02 18:35:15  djurban
- add patch2 (probably will make into next devel versoin)

Revision 1.39.2.5  2005/12/26 15:40:38  qboosh
- updated to 2.3.93, removed obsolete bug2878 patch

Revision 1.39.2.4  2005/11/06 10:37:37  freetz
- 2.9.92, added patch for https://bugs.freedesktop.org/show_bug.cgi?id=2878

Revision 1.39.2.3  2005/10/05 15:52:11  freetz
- pretty cool mmap stuff, 2.3.91

Revision 1.62  2005/04/29 18:55:45  qboosh
- updated to 2.3.2

Revision 1.61  2005/03/24 23:57:53  arekm
- autohinting is now set via fonts/conf.d/ configs

Revision 1.60  2005/03/16 12:12:29  saq
- fixed pt_BR stuff

Revision 1.59  2005/03/10 22:35:43  qboosh
- updated to 2.3.1

Revision 1.58  2005/03/02 20:34:05  qboosh
- updated to 2.3.0

Revision 1.57  2005/02/14 22:58:17  qboosh
- argh, set umask 022 before fc-cache; don't use /root as HOME

Revision 1.56  2005/01/30 16:21:59  djurban
- updated to 2.2.99 ?

Revision 1.55  2005/01/24 21:59:49  wrobell
- typo

Revision 1.54  2005/01/24 21:29:33  ankry
- tabs

Revision 1.53  2005/01/24 20:14:57  qboosh
- moved ldconfig to -libs

Revision 1.52  2005/01/24 20:14:21  qboosh
- typo; unified: -libs before -devel

Revision 1.51  2005/01/24 13:11:20  ankry
- separated binary and libs, rel. 2

Revision 1.50  2005/01/22 20:33:11  qboosh
- updated to 2.2.98, updated Source0 URL
- updated blacklist patch, removed obsolete date patch

Revision 1.49  2004/12/02 17:31:52  qboosh
- updated Source0 URL

Revision 1.48  2004/10/14 10:13:36  qboosh
- reverted last commit, build fails without dtd41 installed

Revision 1.47  2004/07/17 23:44:34  qboosh
- docbook-* not needed as --disable-docs is passed

Revision 1.46  2004/07/02 06:54:09  qboosh
- updated to 2.2.96
- freetype BR back to 2.1.5 (2.1.8 was required only by my old patch)

Revision 1.45  2004/06/01 19:58:09  grzegol
- updated to 2.2.95
- removed outdated freetype patch

Revision 1.44  2004/04/25 09:42:02  qboosh
- updated to 2.2.94, added patch for freetype 2.1.8+

Revision 1.43  2004/04/20 20:49:36  qboosh
- clearer bcond description, release 2

Revision 1.42  2004/04/20 18:07:37  djurban
- autohinting by default enabled/disbaled?

Revision 1.41  2004/04/18 10:59:44  qboosh
- updated to 2.2.93
- removed obsolete freetype-includes and evil+obsolete defaultconfig patch
- dropped -realpkg stuff, there is no alternative fontconfig packages now

Revision 1.40  2004/03/29 20:57:25  qrczak
- Force autohinting for Luxi and Quasi*TTF fonts. They have poor hinting
  instructions. Are there other fonts worth adding here?
- Merge three rules for Vera fonts into equivalent one rule.
- Release 4.

Revision 1.39  2004/01/29 13:07:16  qboosh
- BR+R freetype 2.1.4 (FT_Get_BDF_Property() is used); release 3

Revision 1.38  2003/12/23 18:26:13  qboosh
- BR: docbook-utils >= 0.6.13-3 (which doesn't miss perl-SGLMS dep)

Revision 1.37  2003/12/23 00:04:51  undefine
- BR: perl-SGMLS, sgmlspl

Revision 1.36  2003/12/22 21:27:38  qboosh
- added freetype-includes patch (needed for 2.1.7); release 2

Revision 1.35  2003/11/14 19:06:21  krzak
- BR: docbook-dtd41-sgml

Revision 1.34  2003/11/07 09:38:11  qboosh
- BR: docbook-utils

Revision 1.33  2003/11/06 23:25:26  arekm
- updated to 2.2.92

Revision 1.32  2003/08/30 23:10:05  mmazur
- rel 3 for ac

Revision 1.31  2003/08/18 08:08:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/07/22 21:05:32  krzak
- modified defaultconfig.patch to disable pcf fonts
- release 2

Revision 1.29  2003/06/24 17:48:00  jareq
- fixed epoch:version issue

Revision 1.28  2003/06/14 10:22:08  aflinta
- version 2.2.90

Revision 1.27  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.26  2003/05/25 05:47:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/05/05 04:57:11  aflinta
- patches are back - thx MDK ;), release 2

Revision 1.24  2003/04/28 02:53:24  kloczek
- release 1,
- added make-jN patch for allow paralel building using "make -jN",
- added full regenerate ac/am/lt suit,
- merge translations from Conectiva.

Revision 1.23  2003/04/26 23:21:17  qboosh
- added -static package; -devel R: expat-devel
- added devel html documentation to -devel
- added COPYING (required) and ChangeLog (no NEWS file) to base doc

Revision 1.22  2003/04/23 10:42:45  aflinta
- some cleanups, still without docs

Revision 1.21  2003/04/23 08:10:56  aflinta
- updated to version 2.2.0, not sure that all is correct

Revision 1.20  2003/04/14 18:40:58  bszx
- %%{__cc} can contain spaces

Revision 1.19  2003/03/24 08:42:24  misiek
- provides/requires so -devel subpackage will require fontconfig and not XFree86-fontconfig

Revision 1.18  2003/01/28 09:02:16  trojan
- added {Provides,Obsoletes}: XFree86-fontconfig

Revision 1.17  2002/12/17 22:22:44  qboosh
- fixed man1 pages (argh), added fontconfig(3) page, release 8

Revision 1.16  2002/12/17 16:48:42  wrobell
- removed unused patches

Revision 1.15  2002/12/17 11:45:06  aflinta
- removed slighthint patch (obsoleted?), release 7

Revision 1.14  2002/12/11 21:23:30  qboosh
- subdir patch is outdated

Revision 1.13  2002/12/07 23:57:55  djurban
- Updated to fcpackage 2.1
- Rel 6

Revision 1.12  2002/11/03 22:24:06  aflinta
- added slighthint patch
- release 5

Revision 1.11  2002/10/22 21:02:45  misiek
- regenerate fontcache

Revision 1.10  2002/10/22 21:00:35  misiek
- new patches (blacklist, process only valid dirs)

Revision 1.9  2002/10/22 20:12:49  malekith
- release 3

Revision 1.8  2002/10/15 19:37:20  grzegol
- added date patch; rel. 2

Revision 1.7  2002/10/09 07:59:08  trojan
- fixed files

Revision 1.6  2002/10/06 19:38:37  aflinta
- added epoch to allow upgrade from previous packages

Revision 1.5  2002/10/06 18:14:54  qboosh
- fontconfig version is 1.0.1
- changed prep, so --clean works now

Revision 1.4  2002/10/04 12:53:58  trojan
- changed group X11/Libraries to Libraries (this is not X11 only library)
STBR now

Revision 1.3  2002/10/04 12:44:59  trojan
- added lib*.so to devel

Revision 1.2  2002/10/04 12:14:24  qboosh
- updated URLs

Revision 1.1  2002/10/04 11:49:11  trojan
- initial release
STBR
